Properties Methods Events Config Options Direct Link

    DataReader
      ArrayReader

# Class Ext.data.ArrayReader

Package: | Ext.data
Defined In: | ArrayReader.js
Class: | ArrayReader
Extends: | DataReader

Data reader class to create an Array of Ext.data.Record objects from an Array. Each element of that Array represents a row of data fields. The fields are pulled into a Record object using as a subscript, the mapping property of the field definition if it exists, or the field's ordinal position in the definition.

Example code:.

    var Employee = Ext.data.Record.create([
        {name: 'name', mapping: 1},         // "mapping" only needed if an "id" field is present which
        {name: 'occupation', mapping: 2}    // precludes using the ordinal position as the index.
    ]);
    var myReader = new Ext.data.ArrayReader({
        id: 0                     // The subscript within row Array that provides an ID for the Record (optional)
    }, Employee);

This would consume an Array like this:

    [ [1, 'Bill', 'Gardener'], [2, 'Ben', 'Horticulturalist'] ]

## Config Options

Config Options | Defined By
--- | ---
| id : String (optional) The subscript within row Array that provides an ID for the Record | ArrayReader

## Public Properties

Property | Defined By
--- | ---
| meta : Mixed This DataReader's configured metadata as passed to the constructor. | DataReader

## Public Methods

Method | Defined By
--- | ---

ArrayReader( `Object meta`, `Object recordType` )
Create a new ArrayReader
Create a new ArrayReader
Parameters:

- `meta` : Object
  Metadata configuration options.
- `recordType` : Object
  Either an Array of field definition objects as specified to Ext.data.Record.create, or a Record constructor created using Ext.data.Record.create.

Returns:

- ``

ArrayReader

readRecords( `Object o` ) : Object
Create a data block containing Ext.data.Records from an XML document.
Create a data block containing Ext.data.Records from an XML document.
Parameters:

- `o` : Object
  An Array of row objects which represents the dataset.

Returns:

- `Object`
  data A data block which is used by an Ext.data.Store object as a cache of Ext.data.Records.

ArrayReader

## Public Events

This class has no public events.